Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.eventusermodel
Class EventWorkbookBuilder.SheetRecordCollectingListener

    java.lang.Object
      org.apache.poi.hssf.eventusermodel.EventWorkbookBuilder.SheetRecordCollectingListener

All Implemented Interfaces:
  HSSFListener

Enclosing class:
  EventWorkbookBuilder

    public static class EventWorkbookBuilder.SheetRecordCollectingListener

extends java.lang.Object
implements HSSFListener

A wrapping HSSFListener which will collect `BoundSheetRecord`s and `ExternSheetRecord`s as they go past, so you can create a Stub `InternalWorkbook` from them once required.

Constructor Summary
`EventWorkbookBuilder.SheetRecordCollectingListener(HSSFListener childListener)`

Method Summary
`BoundSheetRecord[]` | `getBoundSheetRecords()`
`ExternSheetRecord[]` | `getExternSheetRecords()`
`SSTRecord` | `getSSTRecord()`
`HSSFWorkbook` | `getStubHSSFWorkbook()`
`InternalWorkbook` | `getStubWorkbook()`
`void` | `processRecord(Record record)` Process this record ourselves, and then pass it on to our child listener
`void` | `processRecordInternally(Record record)` Process the record ourselves, but do not pass it on to the child Listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventWorkbookBuilder.SheetRecordCollectingListener

    public EventWorkbookBuilder.SheetRecordCollectingListener(HSSFListener childListener)

Method Detail

### getBoundSheetRecords

    public BoundSheetRecord[] getBoundSheetRecords()

### getExternSheetRecords

    public ExternSheetRecord[] getExternSheetRecords()

### getSSTRecord

    public SSTRecord getSSTRecord()

### getStubHSSFWorkbook

    public HSSFWorkbook getStubHSSFWorkbook()

### getStubWorkbook

    public InternalWorkbook getStubWorkbook()

### processRecord

    public void processRecord(Record record)

  Process this record ourselves, and then pass it on to our child listener

  Specified by:
    `processRecord` in interface `HSSFListener`

### processRecordInternally

    public void processRecordInternally(Record record)

  Process the record ourselves, but do not pass it on to the child Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.